Delete location history by ID
curl --request DELETE \
--url https://apiweb.mile.app/api/v3/location-history/{loc_history_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/location-history/{loc_history_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/location-history/{loc_history_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Data has been updated successfully.",
"location_history": {
"email": "example@mile.app",
"taskId": "634e98098ce69d29474a7e11",
"speed": 40,
"distance": 50,
"duration": 50,
"lat": -6.1771046,
"lon": 106.9240199,
"createdFrom": "GPS",
"_id": "634e98098ce07d29474a7e22_example@mile.app_1675224349343",
"time": 1675224349343,
"organizationId": "634e98098ce07d29474a7e22",
"createdTime": "2022-10-07 03:00:58",
"updatedTime": "2022-10-07 04:00:58"
}
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Location History
Delete location history by ID
DELETE
/
location-history
/
{loc_history_id}
Delete location history by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the location history
that generated by system.
Example: 634e98098ce07d29474a7e22_example@mile.app_1675224349343
⌘I